package org.ow2.jonas.cxf.transport.mdb;

public enum MDBTransportModeType {

    CLIENT_SENDER("clientsender"),

    CLIENT_RECEIVER("clientreceiver"),

    SERVER_ENDPOINT("endpoint");

    private String text;

    MDBTransportModeType(String text) {
        this.text = text;
    }

    public String getText() {
        return this.text;
    }

    public static MDBTransportModeType fromString(String text) {
        if (text != null) {
            for (MDBTransportModeType b : MDBTransportModeType.values()) {
                if (text.equalsIgnoreCase(b.text)) {
                    return b;
                }
            }
        }
        return null;

    }

}